KDE 4.7 PyKDE API Reference

- KDE's Python API

# PluginInterface Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

This class specifies interface of a Marble plugin.

## Methods
QString | description (self)
QString | guiString (self)
QIcon | icon (self)
| initialize (self)
bool | isInitialized (self)
QString | name (self)
QString | nameId (self)

## Method Documentation

QString description | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns a user description of the plugin.

QString guiString | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the string that should appear in the UI / in the menu. . Using a "&" you can suggest key shortcuts

Example: "&Stars"

QIcon icon | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns an icon for the plugin.

initialize | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

bool isInitialized | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

QString name | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the "real name" of the backend. . Example: "Starry Sky Plugin"

QString nameId | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the name ID of the backend. . Examples: "starrysky", "QNetworkAccessManager"